
function set_text_language()
{
    show_title_app(true) ;
    
    var lang_xx_data = lang_data[language_app] ;
    
    for(var skel_file in skel_files)
    {
        if(skel_files[skel_file] !== false)
        {
            for(lang_xx_message in lang_xx_data)
            {
                var key_replace = '____' + lang_xx_message.toUpperCase() + '____' ;
                skel_files[skel_file] = skel_files[skel_file].replaceAll(key_replace,lang_xx_data[lang_xx_message]);
            }
        }
    }
}

function show_delete_button(on_off)
{
    var id_div_button_cfg_delete = document.getElementById('div_button_cfg_delete');
    var id_div_button_cfg_send = document.getElementById('button_cfg_send');
    var id_p_user_password = document.getElementById('user_password');
    
    if(user_password_inner_html === false) user_password_inner_html = id_p_user_password.innerHTML ;
    
    if(on_off)
    {
        id_p_user_password.setAttribute("class","hidden-div");
        id_div_button_cfg_send.setAttribute("class","button button-fill input_button hidden-div");
        id_div_button_cfg_delete.setAttribute("class","input_button visible-div");
        id_p_user_password.innerHTML = '' ;
    }
    else
    {
        id_p_user_password.innerHTML = user_password_inner_html ;
        id_p_user_password.setAttribute("class","visible-div");
        id_div_button_cfg_send.setAttribute("class","button button-fill input_button visible-div");
        id_div_button_cfg_delete.setAttribute("class","input_button hidden-div");
    }
}

function show_switch_selector(on_off)
{
    var id_div_switch_cfg_accordion = document.getElementById('div_switch_cfg_accordion') ;
    var id_theme_acordion = document.getElementById('theme_acordion') ;
    var id_theme_selector = document.getElementById('theme_selector') ;
    
    id_theme_selector.checked = config_data['user_data'][0]['theme_acordion'] ;
    
    if(config_data['user_data'][0]['theme_acordion'])
    {
        id_theme_acordion.value = "true" ;
    }
    else
    {
        id_theme_acordion.value = "false" ;
    }
    
    if(on_off)
    {
        id_div_switch_cfg_accordion.setAttribute("class","input_button visible-div"); 
    }
    else
    {
        id_div_switch_cfg_accordion.setAttribute("class","input_button hidden-div"); 
    }
}

function show_home_button(on_off)
{
    var id_div_icon_left = document.getElementById('icon_left');
    var content = "<a href='#' class='link icon-only with-animation' onclick='load_inner_page(\"main\");' ><i class='material-icons size-29 navbar_elements'>home</i></a>" ;
    
    if(on_off)
    {
        show_close_button(false) ;
        id_div_icon_left.innerHTML = content ;
        id_div_icon_left.setAttribute("class","icon-cell visible-div"); 
    }
    else
    {
        id_div_icon_left.innerHTML = content ;
        id_div_icon_left.setAttribute("class","icon-cell hidden-div"); 
        show_close_button(true) ;
    }
}

function show_close_button(on_off)
{
    var id_div_icon_left = document.getElementById('icon_left');
    var content = "<a href='#' class='link icon-only with-animation' onclick='gnutransferApp.dialog.confirm(lang_data[language_app][\"exit_app\"],lang_data[language_app][\"gnutransfer\"],close_app,noclose_app)' ><i class='material-icons size-29 navbar_elements'>close</i></a>" ;
    
    if(on_off)
    {
        id_div_icon_left.innerHTML = content ;
        id_div_icon_left.setAttribute("class","icon-cell visible-div"); 
    }
    else
    {
        id_div_icon_left.innerHTML = content ;
        id_div_icon_left.setAttribute("class","icon-cell hidden-div"); 
    }
}

function show_title_app(on_off)
{
    id_title = document.getElementById('title_page_txt') ;
    
    if(on_off)
    {
        id_title.innerHTML = lang_data[language_app]['gnutransfer'] ;
    }
    else
    {
        id_title.innerHTML = "" ;
    }
}

function show_config_button(on_off)
{
    var id_div_icon_right = document.getElementById('icon_right');
    var content = "<a href='#' class='link icon-only with-animation' onclick='load_inner_page(\"config\");' ><i class='material-icons size-29 navbar_elements'>build</i></a>" ;
    
    if(on_off)
    {
        id_div_icon_right.innerHTML = content ;
        id_div_icon_right.setAttribute("class","icon-cell visible-div"); 
    }
    else
    {
        id_div_icon_right.innerHTML = content ;
        id_div_icon_right.setAttribute("class","icon-cell hidden-div"); 
    }
}

function show_commands_buttons(on_off)
{
    var id_div_commands_buttons = document.getElementById('commands_buttons');
    
    var wait_data = '<div class="width-100 action-msg title" > \n' + '<p id="command_msg" class="width-100 title pulsate" ></p> \n' + '<img src="img/progress-bar.gif" class="progress-bar" /> <br clear="both" /> \n' + '</div> \n' ;
    
    if(on_off)
    {
        id_div_commands_buttons.setAttribute("class","width-100 title visible-div"); 
    }
    else
    {
        id_div_commands_buttons.setAttribute("class","width-100 title hidden-div");
        id_div_commands_buttons.innerHTML = wait_data ;
        id_div_commands_buttons.setAttribute("class","width-100 title visible-div"); 
    }
}

function show_page_content(on_off)
{
    var id_page_content = document.getElementById('page_content') ;
    var class_page_off = "page-content hidden-div" ;
    var class_page_on = "page-content visible-div" ;
    
    if(on_off)
    {
        id_page_content.setAttribute("class",class_page_on); 
    }
    else
    {
        id_page_content.setAttribute("class",class_page_off); 
    }
}

function show_preloader_local(on_off)
{
    var id_preloader = document.getElementById('preloader_local') ;
    var class_page_off = "hidden-div" ;
    var class_page_on = "visible-div" ;
    var w = window.innerWidth;
    var h = window.innerHeight;
    
    if(on_off)
    {
        id_preloader.style.width = w + 'px' ;
        id_preloader.style.height = h + 'px' ;
        //var pos_x = Math.round((w - id_preloader.offsetWidth) / 2) ;
        //var pos_y = Math.round(h / 4) ;
        var pos_x = 0 ;
        var pos_y = 0 ;
        id_preloader.style.left = pos_x + 'px' ;
        id_preloader.style.top = pos_y + 'px' ;
        id_preloader.setAttribute("class",class_page_on); 
        gnutransferApp.preloader.show() ;
    }
    else
    {
        gnutransferApp.preloader.hide() ;
        id_preloader.setAttribute("class",class_page_off); 
    }
}

function show_messages_local(message)
{
    var id_messages = document.getElementById('messages_local') ;
    var class_page_off = "hidden-div" ;
    var class_page_on = "visible-div" ;
    var w = window.innerWidth;
    var h = window.innerHeight;
    
    
    var msg_out = '' ;
    
    if(message === false)
    {
        id_messages.innerHTML = msg_out ;
        id_messages.setAttribute("class",class_page_off); 
    }
    else
    {
        msg_out = '<p class="messages-size" > \n' + message + '\n' + '</p> \n' ;
        id_messages.innerHTML = msg_out ;
        id_messages.style.width = w + 'px' ;
        id_messages.style.height = h + 'px' ;
        //var pos_x = Math.round((w - id_messages.offsetWidth) / 2) ;
        //var pos_y = Math.round(h / 4) ;
        var pos_x = 0 ;
        var pos_y = 0 ;
        id_messages.style.left = pos_x + 'px' ;
        id_messages.style.top = pos_y + 'px' ;
        id_messages.setAttribute("class",class_page_on) ;
        setTimeout(show_messages_local,time_messages) ;
    }
}

function load_inner_page(page_name)
{   
    show_preloader_local(true) ;
    var id_page_content = document.getElementById('page_content') ;
    var page_index = page_name + ".txt" ;
    var page_content = "" ;

    if((page_name == 'config') && (active_page == 'main')) scroll_pos = get_scroll_top('page_content') ;
    
    show_title_app(true) ;
    
    if(skel_files[page_index] !== false) page_content = skel_files[page_index] ;
    
    show_page_content(false) ;
    
    id_page_content.innerHTML = page_content ;
    show_preloader_local(true) ;
    
    prev_active_page = active_page ;
    active_page = page_name ;
    
    if(page_name == 'config')
    {
        if(vps_detail_interval !== false)
        {
            clearTimeout(vps_detail_interval) ;
            vps_detail_interval = false ;
        }
        
        if(list_vps_interval !== false)
        {
            clearTimeout(list_vps_interval) ;
            list_vps_interval = false ;
        }
        

        show_home_button(true) ;
        show_config_button(false) ;
        configure_vars() ;
    }
    else if(page_name == 'main')
    {
        if(vps_detail_interval !== false)
        {
            clearTimeout(vps_detail_interval) ;
            vps_detail_interval = false ;
        }
        
        if(list_vps_interval !== false)
        {
            clearTimeout(list_vps_interval) ;
            list_vps_interval = false ;
        }
        
        if(config_data['user_data'][0]['theme_acordion'])
        {
            id_vps_lists_content = document.getElementById('vps_lists') ;
            if(skel_files['cards-list-vps-container-accordion.txt'] !== false) id_vps_lists_content.innerHTML = skel_files['cards-list-vps-container-accordion.txt'] ;
        }
        
        show_home_button(false) ;
        show_config_button(true) ;
        get_vps_list() ;
    }
    else if(page_name == 'vps_detail')
    {
        page_content = '' ;
        page_index = "main.txt" ;
        if(skel_files[page_index] !== false) page_content = skel_files[page_index] ;
        id_page_content.innerHTML = page_content ;
        show_home_button(true) ;
        show_config_button(true) ;
    }
    else if(page_name == 'console')
    {
        if(vps_detail_interval !== false)
        {
            clearTimeout(vps_detail_interval) ;
            vps_detail_interval = false ;
        }
        
        if(list_vps_interval !== false)
        {
            clearTimeout(list_vps_interval) ;
            list_vps_interval = false ;
        }
        
        page_content = '' ;
        page_index = "console.txt" ;
        
        if(skel_files[page_index] !== false)
        {
            page_content = skel_files[page_index] ;
            if(vps_name_local !== false) page_content = page_content.replaceAll("++++VPS_NAME++++",vps_name_local) ;
        }
        
        id_page_content.innerHTML = page_content ;
        var id_console_content = document.getElementById('console') ;
        
        if(show_boot)
        {
            //alert(total_boot_data) ;
            id_console_content.innerHTML = total_boot_data ;
        }
        else
        {
            id_console_content.innerHTML = total_shutdown_data ;
        }
        
        show_home_button(true) ;
        show_config_button(true) ;
        show_preloader_local(false) ;
    }
    
    show_page_content(true) ;
}

function previous_page()
{
    var id_page_content = document.getElementById('page_content') ;
    var page_index = "main.txt" ;
    var page_content = '' ;

    if(prev_active_page !== false)
    {
        if(prev_active_page == 'vps_detail')
        {
            if(skel_files[page_index] !== false) page_content = skel_files[page_index] ;
            id_page_content.innerHTML = page_content ;
            manage_vps('get_vps_status_R',id_vps_server_slc,'manage_vps_show') ;
        }
        else
        {
            load_inner_page(prev_active_page) ;
        }
    }
}

function accordion_opened(el)
{
    //alert('ENTRE: 1 ' + el);
    if(vps_name_accordion !== false)
    {
        var id_id_elem_str = document.getElementById(vps_name_accordion) ;
        if(id_id_elem_str.offsetHeight !== 'undefined')
        {
            delta_scroll_pos = 0 ;
            //delta_scroll_pos = id_id_elem_str.offsetHeight ;
            scroll_pos = scroll_pos + delta_scroll_pos ;
            if(scroll_pos < 0) scroll_pos = 0 ;
        
            if(vps_name_local !== false)
            {
                set_scroll_top('page_content',scroll_pos) ;
                vps_name_local = false ;
            }
        }

        vps_name_accordion = false ;
    }
}

function onPause()
{
    return false ;
}

function onResume()
{
    return false ;
}























