
function load_config_vars(config_data_json)
{
    config_data = null ;
    config_data = new Object() ;
    config_data = JSON.parse(config_data_json) ;
    if(config_data['user_data'][0]['theme_acordion'] === 'undefined') config_data['user_data'][0]['theme_acordion'] = false ;
    
}

function configure_vars()
{
    var str_key_2 = random_str(32) ;
    var str_key_3 = random_str(32) ;
    var command_time = get_command_time() ;
    var command_date = get_command_date(command_time) ;

    var id_device_desc = document.getElementById('device_desc');
    var id_device_id = document.getElementById('device_id');
    var id_api_key_0 = document.getElementById('api_key_0');
    var id_api_key_1 = document.getElementById('api_key_1');
    var id_api_key_2 = document.getElementById('api_key_2');
    var id_api_key_3 = document.getElementById('api_key_3');
    var id_app_version = document.getElementById('app_version');
    var id_api_version = document.getElementById('api_version');
    var id_command_time = document.getElementById('command_time');
    var id_command_date = document.getElementById('command_date');
    var id_theme_acordion = document.getElementById('theme_acordion');

    cordova.getAppVersion.getVersionNumber().then(
                                                    function(versionNumber)
                                                    {
                                                        app_version = versionNumber ;
                                                        id_app_version.value = app_version ;
                                                    }
                                                 );
    
    if(active_page == 'config')
    {
        if((typeof config_data['device'] === 'undefined') || (typeof config_data['user_data'] === 'undefined'))
        {
            str_key_2 = SHA256(str_key_2) ;
            str_key_3 = SHA256(str_key_3) ;
    
            config_data['device'] = new Object();
            config_data['user_data'] = new Object();
            config_data['user_data'][0] = new Object();
    
            config_data['device']['model'] = device.model ;
            config_data['device']['cordova'] = device.cordova ;
            config_data['device']['platform'] = device.platform ;
            config_data['device']['uuid'] = device.uuid ;
            config_data['device']['version'] = device.version ;
            config_data['device']['manufacturer'] = device.manufacturer ;
            config_data['device']['serial'] = device.serial ;
            var id_data = device.model + ':' + device.cordova + ':' + device.platform + ':' + device.uuid + ':' + device.version + ':' + device.manufacturer + ':' + device.serial ;
            config_data['device']['id'] = SHA256(id_data) ;
            config_data['device']['desc'] = config_data['device']['manufacturer'] + ' ' + config_data['device']['model'] ;
            
            config_data['user_data'][0]['user'] = "";
            config_data['user_data'][0]['api_key_0'] = "";
            config_data['user_data'][0]['api_key_1'] = "";
            config_data['user_data'][0]['api_key_2'] = "";
            config_data['user_data'][0]['api_key_3'] = "";

            config_data['user_data'][0]['api_key_2'] = str_key_2 ;
            config_data['user_data'][0]['api_key_3'] = str_key_3 ;
            config_data['user_data'][0]['app_version'] = app_version ;
            config_data['user_data'][0]['api_version'] = "" ;
            config_data['user_data'][0]['theme_acordion'] = false ;
            show_home_button(false) ;
            show_delete_button(false) ;
            show_switch_selector(false) ;
            prev_active_page = false ;
        }
        else
        {
            show_delete_button(true) ;
            show_switch_selector(true) ;
        }
        
        id_device_desc.value = config_data['device']['desc'] ;
        id_device_id.value = config_data['device']['id'] ;
        id_api_key_0.value = config_data['user_data'][0]['api_key_0'] ;
        id_api_key_1.value = config_data['user_data'][0]['api_key_1'] ;
        id_api_key_2.value = config_data['user_data'][0]['api_key_2'] ;
        id_api_key_3.value = config_data['user_data'][0]['api_key_3'] ;
        id_app_version.value = app_version ;
        id_api_version.value = config_data['user_data'][0]['api_version'] ;
        //id_theme_acordion.value = config_data['user_data'][0]['theme_acordion'] ;
        id_command_time.value = command_time ;
        id_command_date.value = command_date ;
    }
    
    //gnutransferApp.preloader.hide() ;
    show_preloader_local(false) ;
}

function proc_form()
{
    var form_params = new Object();
    var inputs = document.getElementsByTagName('input') ;
    var url = form_url ;
    var id_form = document.getElementById('id_form');

    //gnutransferApp.preloader.show(lang_data[language_app]['get_keys']) ;
    //gnutransferApp.preloader.show() ;
    show_preloader_local(true) ;
    var command_time = get_command_time() ;
    var command_date = get_command_date(command_time) ;
    
    for(var i=0;i<inputs.length;i++)
    {
        var input = inputs[i];
        
        if((input.type != "button"))
        {
            if(input.name == "api_key_2")
            {
                form_params['device_private_key'] = input.value ;
            }
            else if(input.name == "api_key_3")
            {
                form_params['device_public_key'] = input.value ;
            }
            else if(input.name == "command_time")
            {
                form_params[input.name] = command_time ;
                //alert(input.name + ' -> ' + form_params[input.name]) ;
            }
            else if(input.name == "command_date")
            {
                form_params[input.name] = command_date ;
                //alert(input.name + ' -> ' + form_params[input.name]) ;
            }
            else if(input.name == "theme_acordion")
            {
                //alert('ACA: ' + input.value) ;
                form_params[input.name] = input.value ;
                //alert(input.name + ' -> ' + form_params[input.name]) ;
            }
            else
            {
                form_params[input.name] = input.value ;
            }
        }
    }
    
    if(url.length > 0)
    {
        do_post_request(url,form_params) ;
    }
    
    return false ;
}

function do_post_request(url,params_in)
{
    var params = "" ;
    
    for(var key in params_in)
    {
        if(params_in.hasOwnProperty(key))
        {
            if(params.length > 0)
            {
                params = params + "&" + key + "=" + params_in[key] ;
            }
            else
            {
                params = key + "=" + params_in[key] ;
            }
        }
    }
        
    //alert(url + " -> " + params) ;
    var http = new XMLHttpRequest();
    http.open("POST", url, true);
    //Send the proper header information along with the request
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    //http.setRequestHeader("Content-length", params.length);
    //http.setRequestHeader("Connection", "close");

    http.onreadystatechange = function()
                              {
                                if(http.readyState == 4)
                                {   
                                    //gnutransferApp.preloader.hide() ;
                                    show_preloader_local(false) ;
                                    if(http.status == 200)
                                    {
                                        post_result = urlsafe_b64decode(http.responseText) ;
                                        //alert(post_result);
                                        var post_vars = JSON.parse(post_result) ;
                                        if(post_vars.hasOwnProperty('errors'))
                                        {
                                            var out_msg = lang_data[language_app]['bad_user_or_password'] ;
                                            show_preloader_local(false);
                                            var notificationFull = gnutransferApp.notification.create({
                                                text: out_msg,
                                                closeTimeout: time_messages,
                                            });
                                            notificationFull.open() ;
                                        }
                                        else if((SHA256(params_in['device_private_key']) == post_vars['api_key_2']) && (SHA256(params_in['device_public_key']) == post_vars['api_key_3']))
                                        {
                                            update_config_vars(post_vars);
                                        }
                                    }
                                    else
                                    {
                                        var out_msg = lang_data[language_app]['network_error'] + ": " + http.status ;
                                        show_preloader_local(false);
                                        var notificationFull = gnutransferApp.notification.create({
                                            text: out_msg,
                                            closeTimeout: time_messages,
                                        });
                                        notificationFull.open() ;
                                        var time_messages_w = time_messages + 500 ;
                                        setTimeout(proc_form,time_messages_w) ;
                                    }
                                }
                              }
    http.send(params);
}

function update_config_vars(post_vars)
{
    var id_user = document.getElementById('user') ;
    var id_api_key_0 = document.getElementById('api_key_0') ;
    var id_api_key_1 = document.getElementById('api_key_1') ;
    var id_api_key_2 = document.getElementById('api_key_2') ;
    var id_api_key_3 = document.getElementById('api_key_3') ;
    var id_api_version = document.getElementById('api_version') ;
    var id_theme_acordion = document.getElementById('theme_acordion') ;

    config_data['user_data'][0]['user'] = id_user.value ;
    config_data['user_data'][0]['api_key_0'] = post_vars['api_key_0'] ;
    config_data['user_data'][0]['api_key_1'] = post_vars['api_key_1'] ;
    config_data['user_data'][0]['api_key_2'] = post_vars['api_key_2'] ;
    config_data['user_data'][0]['api_key_3'] = post_vars['api_key_3'] ;
    config_data['user_data'][0]['api_version'] = post_vars['api_version'] ;
    
    //alert('ACA: ' + id_theme_acordion.value);
    if(id_theme_acordion.value == "true")
    {
        config_data['user_data'][0]['theme_acordion'] = true ;
        id_theme_acordion.value = true ;
    }
    else
    {
        config_data['user_data'][0]['theme_acordion'] = false ;
        id_theme_acordion.value = false ;
    }
    
    id_api_key_0.value = post_vars['api_key_0'] ;
    id_api_key_1.value = post_vars['api_key_1'] ;
    id_api_key_2.value = post_vars['api_key_2'] ;
    id_api_key_3.value = post_vars['api_key_3'] ;
    id_api_version.value = post_vars['api_version'] ;

    writeConfig(true);
    show_delete_button(true);
    show_switch_selector(true) ;
}

function update_local_config(var_name_local,var_value_local)
{
    if(var_name_local == 'theme_selector')
    {
        //alert(typeof var_value_local) ;
        if(var_value_local === true)
        {
            config_data['user_data'][0]['theme_acordion'] = true ;
        }
        else
        {
            config_data['user_data'][0]['theme_acordion'] = false ;
        }
    }
    
    writeConfig(false);
}

function vpscontrol_send_command(command,function_ret)
{
    var post_vars = new Object() ;
    var command_time = get_command_time() ;
    var command_date = get_command_date(command_time) ;
    
    var command_control = config_data['user_data'][0]['api_key_0'] + config_data['user_data'][0]['api_key_1'] + command + command_time + config_data['user_data'][0]['api_key_2'] + config_data['user_data'][0]['api_key_3'] ;
    command_control = SHA256(command_control) ;
    
    post_vars['command'] = command ;
    post_vars['device_id'] = config_data['device']['id'] ;
    post_vars['api_key_0'] = config_data['user_data'][0]['api_key_0'] ;
    post_vars['command_control'] =  command_control;
    post_vars['command_time'] = command_time;

    if(list_vps_interval !== false)
    {
        clearTimeout(list_vps_interval) ;
        list_vps_interval = false ;
    }
    
    if(vps_detail_interval !== false)
    {
        clearTimeout(vps_detail_interval) ;
        vps_detail_interval = false ;
    }
    
    do_command_request(form_url,post_vars,function_ret) ;
    
}

function do_command_request(url,params_in,function_ret)
{
    var params = "" ;
    
    for(var key in params_in)
    {
        if(params_in.hasOwnProperty(key))
        {
            var value_T = params_in[key] ;
            if(value_T == 'get_vps_status_R') value_T = 'get_vps_status' ;
            
            if(params.length > 0)
            {
                params = params + "&" + key + "=" + value_T ;
            }
            else
            {
                params = key + "=" + value_T ;
            }
        }
    }
        
    //alert(url + " -> " + params) ;
    var http = new XMLHttpRequest();
    http.open("POST", url, true);
    //Send the proper header information along with the request
    http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    //http.setRequestHeader("Content-length", params.length);
    //http.setRequestHeader("Connection", "close");

    http.onreadystatechange = function()
                              {
                                if(http.readyState == 4)
                                {   
                                    //gnutransferApp.preloader.hide() ;
                                    show_preloader_local(false) ;
                                    if(http.status == 200)
                                    {
                                        post_result = urlsafe_b64decode(http.responseText) ;
                                        show_messages_local(false) ;
                                        show_preloader_local(false);
                                        
                                        if(typeof(window[function_ret])=='function')
                                        {
                                            window[function_ret](post_result) ;
                                        }
                                        
                                        if(params_in.hasOwnProperty('command'))
                                        {
                                            if(params_in['command'] == 'get_vps_list')
                                            {
                                                list_vps_interval = setTimeout(get_vps_list,list_vps_interval_tmp) ;
                                            }
                                            else
                                            {
                                                var tmp_interval = list_vps_interval_tmp ;
                                                if(pending_command) tmp_interval = vps_detail_interval_tmp ;
                                                vps_detail_interval = setTimeout(manage_vps_tmp,tmp_interval) ;
                                            }
                                        }
                                    }
                                    else
                                    {
                                        var out_msg = lang_data[language_app]['network_error'] + ": " + http.status ;
                                        show_preloader_local(false);
                                        show_messages_local(out_msg) ;
                                        var time_messages_p = time_messages - 50 ;
                                        var time_messages_w = time_messages + 500 ;
                                        
                                        if(params_in.hasOwnProperty('command'))
                                        {
                                            setTimeout(show_preloader_local,time_messages_p) ;
                                            if(params_in['command'] == 'get_vps_list')
                                            {
                                                list_vps_interval = setTimeout(get_vps_list,time_messages_w) ;
                                            }
                                            else
                                            {
                                                vps_detail_interval = setTimeout(manage_vps_tmp,time_messages_w) ;
                                            }
                                        }
                                    }
                                }
                              }
    http.send(params);
}

function get_vps_list()
{
    var str_out = '' ;
    var command = 'get_vps_list' ;
    
    if(vps_detail_interval !== false)
    {
        clearTimeout(vps_detail_interval) ;
        vps_detail_interval = false ;
    }
    
    vpscontrol_send_command(command,'show_vps_list') ;
    
}

function show_vps_list(vps_list_json)
{
    var out_str = '';
    var vps_res = JSON.parse(vps_list_json) ;
    var lang_xx_data = lang_data[language_app] ;
    
    var vps_list = vps_res['plans'] ;
    
    var index_accordion = 0 ;
    
    for(i=0;i<vps_list.length;i++)
    {
        var vps_data = new Object() ;
        vps_data['vps_name'] = vps_list[i]['vps_name'] ;
        vps_data['vps_desc_name'] = vps_list[i]['vps_desc_name'] ;
        vps_data['vps_plan'] = vps_list[i]['vps_plan'] ;
        vps_data['memory'] = vps_list[i]['memory'] ;
        vps_data['disk'] = vps_list[i]['disk'] ;
        vps_data['transfer'] = vps_list[i]['transfer'] ;
        vps_data['vps_on'] = vps_list[i]['vps_status']['vps_on'] ;
        vps_data['id_vps_server'] = vps_list[i]['id_vps_server'] ;
        
        var out_str_card = skel_files['cards-list-vps.txt'] ;
        
        //alert('ACA: ' + config_data['user_data'][0]['theme_acordion']) ;
        if(config_data['user_data'][0]['theme_acordion']) out_str_card = skel_files['cards-list-vps-accordion.txt'] ;
        
        for(var key in vps_data)
        {
            var key_replace_plus = '++++' + key.toUpperCase() + '++++' ;
            
            if(vps_data.hasOwnProperty(key))
            {
                if(key == "vps_on")
                {
                    var str_to_replace_on = "<img src='img/vps-on.png' class='size_icon' ></img>" ;
                    var str_to_replace_off = "<img src='img/vps-off.png' class='size_icon' ></img>" ;
                    
                    if(vps_data[key] == 1)
                    {
                        out_str_card = out_str_card.replaceAll(key_replace_plus,str_to_replace_on) ;
                    }
                    else
                    {
                        out_str_card = out_str_card.replaceAll(key_replace_plus,str_to_replace_off) ;
                    }
                }
                else if(key == "id_vps_server")
                {
                    out_str_card = out_str_card.replaceAll(key_replace_plus,vps_data[key]);
                }
                else if(key == "vps_desc_name")
                {
                    out_str_card = out_str_card.replaceAll(key_replace_plus,vps_data[key]);
                    if(config_data['user_data'][0]['theme_acordion'])
                    {
                        var key_replace_accordion_plus = "++++VPS_DESC_NAME_ACCORDION++++" ;
                        var vps_desc_name_accordion = SHA256((vps_data[key].trim() + index_accordion));
                        index_accordion = index_accordion + 1 ;
                        out_str_card = out_str_card.replaceAll(key_replace_accordion_plus,vps_desc_name_accordion) ;
                    }
                }
                else if(key == "transfer")
                {
                    var str_transfer = vps_data[key] ;
                    if(vps_data.hasOwnProperty('transfer_total')) str_transfer = vps_data['transfer_total'] + ' ' + lang_xx_data['of'] + ' ' + vps_data[key] ;
                    out_str_card = out_str_card.replaceAll(key_replace_plus,str_transfer);
                }
                else
                {
                    out_str_card = out_str_card.replaceAll(key_replace_plus,vps_data[key]);
                }
            }
        }

        out_str = out_str + out_str_card ;
    }

    if(config_data['user_data'][0]['theme_acordion'])
    {
        show_in_element('vps_lists_accordion_content',out_str);
        //document.getElementById('vps_lists_accordion_content').append(out_str) ;
    }
    else
    {
        show_in_element('vps_lists',out_str);
        //document.getElementById('vps_lists').append(out_str) ;
    }
    
    if(vps_name_accordion !== false)
    {
        //alert('ACA: ' + vps_name_accordion) ;
        local_accordion_open(vps_name_accordion) ;
    }
    else
    {
        if(vps_name_local !== false)
        {
            set_scroll_top('page_content',scroll_pos) ;
            vps_name_local = false ;
        }
    }

    show_preloader_local(false) ;
}

function manage_vps_tmp()
{
    //alert('id_vps_server_slc: ' + id_vps_server_slc) ;
    if(id_vps_server_slc !== false) manage_vps('get_vps_status_R',id_vps_server_slc,'manage_vps_show');
}

function manage_vps(command,id_vps_server,function_ret)
{
    if(command != 'get_vps_status_R')
    {
        if(command == 'get_vps_status')
        {
            //gnutransferApp.preloader.show() ;
            show_preloader_local(true) ;
        }
        else
        {
            //gnutransferApp.preloader.show(command) ;
            //gnutransferApp.preloader.show() ;
            show_preloader_local(true) ;
        }
    }
    var post_vars = new Object() ;
    var command_time = get_command_time() ;
    var command_date = get_command_date(command_time) ;
    //alert('id_vps_server: ' + id_vps_server) ;
    
    if(list_vps_interval !== false)
    {
        clearTimeout(list_vps_interval) ;
        list_vps_interval = false ;
    }
    
    if(vps_detail_interval !== false)
    {
        clearTimeout(vps_detail_interval) ;
        vps_detail_interval = false ;
    }
    
    var command_control = config_data['user_data'][0]['api_key_0'] + config_data['user_data'][0]['api_key_1'] + command + command_time + config_data['user_data'][0]['api_key_2'] + config_data['user_data'][0]['api_key_3'] ;
    if(command == 'get_vps_status_R')
    {
        command_control = config_data['user_data'][0]['api_key_0'] + config_data['user_data'][0]['api_key_1'] + 'get_vps_status' + command_time + config_data['user_data'][0]['api_key_2'] + config_data['user_data'][0]['api_key_3'] ;
    }
    
    command_control = SHA256(command_control) ;
    
    id_vps_server_slc = id_vps_server ;
    post_vars['command'] = command ;
    post_vars['id_vps_server'] = id_vps_server ;
    post_vars['device_id'] = config_data['device']['id'] ;
    post_vars['api_key_0'] = config_data['user_data'][0]['api_key_0'] ;
    post_vars['command_control'] =  command_control;
    post_vars['command_time'] = command_time;
    
    if(command == 'get_vps_status') scroll_pos = get_scroll_top('page_content') ;

    do_command_request(form_url,post_vars,function_ret) ;
}

function manage_vps_show(vps_detail_json)
{
    var out_str = '';
    //var vps_res = JSON.parse(vps_list_json) ;
    var lang_xx_data = lang_data[language_app] ;
    var out_str_card = skel_files['vps-detail.txt'] ;
    var vps_res = JSON.parse(vps_detail_json) ;
    
    var show_buttons = false ;
    
    if(out_str_card !== false)
    {
        for(var key in vps_res)
        {
            var key_replace_plus = '++++' + key.toUpperCase() + '++++' ;
        
            if(vps_res.hasOwnProperty(key))
            {
                if(key == "vps_on")
                {
                    var str_to_replace_on = "<img src='img/vps-on.png' class='size_icon' ></img>" ;
                    var str_to_replace_off = "<img src='img/vps-off.png' class='size_icon' ></img>" ;
                    
                    if(vps_res[key] == 1)
                    {
                        out_str_card = out_str_card.replaceAll(key_replace_plus,str_to_replace_on) ;
                    }
                    else
                    {
                        out_str_card = out_str_card.replaceAll(key_replace_plus,str_to_replace_off) ;
                    }
                }
                else if(key == "id_vps_server")
                {
                    //out_str_card = out_str_card.replaceAll(key_replace_plus,vps_res[key]);
                    //alert('ACA: ' + key + ' -> ' + vps_res[key]);
                }
                else if(key == "pending_command")
                {
                    show_buttons = ! vps_res[key] ;
                    pending_command = vps_res[key] ;
                }
                else if(key == "transfer")
                {
                    var str_transfer = vps_res[key] ;
                    if(vps_res.hasOwnProperty('transfer_total')) str_transfer = vps_res['transfer_total'] + ' ' + lang_xx_data['of'] + ' ' + vps_res[key] ;
                    out_str_card = out_str_card.replaceAll(key_replace_plus,str_transfer);
                }
                else if(key == "total_boot_data")
                {
                    if((vps_res[key] !== null) && (vps_res[key] !== false)) total_boot_data = base64.decode(vps_res[key]) ;
                }
                else if(key == "total_shutdown_data")
                {
                    if((vps_res[key] !== null) && (vps_res[key] !== false)) total_shutdown_data = base64.decode(vps_res[key]) ;
                }
                else if(key == "vps_name")
                {
                    vps_name_local = vps_res[key] ;
                    out_str_card = out_str_card.replaceAll(key_replace_plus,vps_res[key]);
                }
                else
                {
                    out_str_card = out_str_card.replaceAll(key_replace_plus,vps_res[key]);
                }
            }
        }
        
        out_str_card = out_str_card.replaceAll('++++ID_VPS_SERVER++++',id_vps_server_slc);
    
        out_str = out_str_card ;
    
        show_home_button(true) ;
        show_in_element('vps_lists',out_str) ;

        show_commands_buttons(show_buttons) ;
        
        if( ! show_buttons )
        {
            id_command_msg = document.getElementById('command_msg') ;
            var command_msg_key = vps_res['pending_command_cmd'] + '_ing' ;
            
            if(lang_xx_data.hasOwnProperty(command_msg_key))
            {
                id_command_msg.innerHTML = lang_xx_data[command_msg_key] ;
            }
            else
            {
                id_command_msg.innerHTML = command_msg_key ;
            }
        }
    }
    
    //out_str = '<pre>' + vps_detail_json + '</pre>' ;
    
    
    if(active_page == "console")
    {
        //gnutransferApp.preloader.hide() ;
        show_preloader_local(false) ;
        prev_active_page = "main" ;
        active_page = "vps_detail" ;
    }
    else if(active_page != "vps_detail")
    {
        //gnutransferApp.preloader.hide() ;
        show_preloader_local(false) ;
        prev_active_page = active_page ;
        active_page = "vps_detail" ;
    }
}

function keyboard_events_manage(e)
{
    var keyCode = e.keyCode;
    
    var id_button_cfg_send = document.getElementById('button_cfg_send') ;
    
    if(keyCode==13)
    {
        id_button_cfg_send.click() ;
    }
}    




















